EDIT - bug #10497

Vaadin selected epithet is gone when a record is re-opened
04/25/2024 08:40 PM - Wolf-Henning Kusber

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.43

Severity: critical Found in Version:

Description

Show case: Vaadin Test (Problem in Release)

Micrasterias truncata f. montanica Levanets & Janse van Vuuren (in preparation)

If the record is reopened, the species epithet "truncata" is gone, saving is not possible and selection of the species epithet is not
possible, too. However, cancle closes the record.

The problem is: | open this record to select a already available infraspecific name.
| can select the name, here
Micrasterias truncata f. elevata Prescott

But | cannot save this name relation, because (see above), when | cancle the record, the name relation is not saved.

registration Edit taxon name

Rank ' Form s

With basionym With replaced synenym Validation Orthographical correction

Genus

Micrasterias

Infraspecific epithet
elevata
Nomenclaturai ieicicnoe
PrescottBuch. 1977

Reference detail

200, pl. c1[101]; fig. 3

History

#1 - 05/17/2024 10:21 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.43

#2 - 05/17/2024 11:35 AM - Andreas Miiller
- Status changed from New to In Progress

- Assignee changed from Andreas Miller to Wolf-Henning Kusber

| can't reproduce this. Can you give a bit more input on what exactly you did?

From where did you "open this record to select a already available infraspecific name"?

And how is Micrasterias truncata f. montanica Levanets & Janse van Vuuren related to Micrasterias truncata f. elevata Prescott?

| can't see that there should be a "name relation" so what do you mean with "name relation" in "But | cannot save this name relation, because (see
above), when | cancle the record, the name relation is not saved."?
